Here's an a quick example on how I added my printer:

  lpadmin -p Canon_LBP7210Cdn \
    -P /usr/share/cups/model/CNCUPSLBP7210CCAPTK.ppd \
    -v ccp://localhost:59687 -E

  ccpdadmin -p Canon_LBP7210Cdn -o net:192.168.0.215

Make the service autostart:

  if [ -x /etc/rc.d/rc.ccpd ]; then
    /etc/rc.d/rc.ccpd start
  fi

To check status of the printer, use:

  captstatusui -P Canon_LBP7210Cdn
